## dpkg 1.17.25

=== debian/changelog ===
dpkg (1.17.25) unstable; urgency=medium

  [ Guillem Jover ]
  * Do not leak kvm descriptors in start-stop-daemon on GNU/kFreeBSD systems.
    Based on a patch by Jeff Epler <jepler@unpythonic.net>. Closes: #779467
  * Fix OpenPGP Armor Header Line parsing in Dpkg::Control::Hash. We should
    only accept [\r\t ] as trailing whitespace, although RFC4880 does not
    clarify what whitespace really maps to, we should really match the GnuPG
    implementation anyway, as that's what we use to verify the signatures.
    Reported by Jann Horn <jann@thejh.net>. Fixes CVE-2015-0840.
  * Use correct versions in Conflicts for removed packages. Closes: #776984
  * Use backports friendly versions in Breaks/Conflicts.
    Reported by Thorsten Glaser <tg@debian.org>.
  * Fix perl warning in dpkg-genchanges when parsing BY-HAND file entries.
    Regression introduced in dpkg 1.17.7. Closes: #781074

  [ Updated programs translations ]
  * Dutch (Frans Spiesschaert). Closes: #779953
  * Hungarian (Úr Balázs).

 -- Guillem Jover <guillem@debian.org>  Thu, 09 Apr 2015 23:40:47 +0200
