=== debian/control ===
Source: dpkg
Section: admin
Priority: required
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Uploaders: Guillem Jover <guillem@debian.org>
Origin: debian
Bugs: debbugs://bugs.debian.org
Homepage: https://wiki.debian.org/Teams/Dpkg
Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/dpkg.git
Vcs-Git: git://anonscm.debian.org/dpkg/dpkg.git
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 7), pkg-config, flex,
 gettext (>= 0.18), po4a (>= 0.41),
 zlib1g-dev, libbz2-dev, liblzma-dev,
 libselinux1-dev (>= 1.28-4) [linux-any],
 libkvm-dev [kfreebsd-any],
 libncursesw5-dev,
 libtimedate-perl, libio-string-perl

Package: libdpkg-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: zlib1g-dev, liblzma-dev, libbz2-dev, ${misc:Depends}
Description: Debian package management static library
 This package provides the header files and static library necessary to
 develop software using libdpkg, the same library used internally by dpkg.
 .
 Note though, that the API is to be considered volatile, and might change
 at any time, use at your own risk.

Package: dpkg
Architecture: any
Multi-Arch: foreign
Essential: yes
Pre-Depends: ${shlibs:Depends}, tar (>= 1.23)
Depends: ${misc:Depends}
Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8),
# These cause trigger cycles due to using awaiting trigger directives.
 apt-cudf (<< 3.3~beta1-3~),
 auctex (<< 11.87-3+deb8u1~),
 ccache (<< 3.1.10-1~),
 cups (<< 1.7.5-10~),
 debian-security-support (<< 2014.10.26~),
 distcc (<< 3.1-6.1~),
 doc-base (<< 0.10.5~),
 fontconfig (<< 2.11.0-6.2~),
 fusionforge-plugin-mediawiki (<< 5.3.2+20141104-3~),
 gap-core (<< 4r7p5-2~),
 gitweb (<< 1:2.1.4-2.1~),
 grace (<< 1:5.1.24-3~),
 gxine (<< 0.5.908-3.1~),
 hoogle (<< 4.2.33-4~),
 icecc (<< 1.0.1-2~),
 install-info (<< 5.1.dfsg.1-3~),
 libapache2-mod-php5 (<< 5.6.4+dfsg-3~),
 libapache2-mod-php5filter (<< 5.6.4+dfsg-3~),
 libjs-protoaculous (<< 5~),
 man-db (<< 2.6.3-6~),
 mcollective (<< 2.6.0+dfsg-2.1~),
 php5-fpm (<< 5.6.4+dfsg-3~),
 pypy (<< 2.4.0+dfsg-3~),
 readahead-fedora (<< 2:1.5.6-5.2~),
 wordpress (<< 4.1+dfsg-1~),
 xfonts-traditional (<< 1.7~),
 xine-ui (<< 0.99.9-1.2~),
# These do not support triggers.
 apt (<< 0.7.7~), aptitude (<< 0.4.7-1~)
Conflicts:
# The following Conflicts against removed packages using install-info
# in their prerm script can be removed in jessie+1.
# These packages have been removed after squeeze:
 ggz-docs (<< 0.0.14.1-2~), glame (<< 2.0.1-6~), gtalk (<< 0.99.10-16~),
 libalogg-dev (<< 1.3.7-2~), r6rs-doc (<< 1.0-2~), ulog-acctd (<< 0.4.3-3~),
 octave3.2-info (<< 3.2.4-12+rm),
# These non-free packages have been removed after squeeze:
 cpp-4.1-doc (<< 4.1.2.nf2-4~), gcc-4.1-doc (<< 4.1.2.nf2-4~),
 gcj-4.1-doc (<< 4.1.2.nf2-4~), gfortran-4.1-doc (<< 4.1.2.nf2-4~),
 gnat-4.1-doc (<< 4.1.2.nf2-4~), cpp-4.2-doc (<< 4.2.4.nf1-4~),
 gcc-4.2-doc (<< 4.2.4.nf1-4~), gcj-4.2-doc (<< 4.2.4.nf1-4~),
 gfortran-4.2-doc (<< 4.2.4.nf1-4~), gnat-4.2-doc (<< 4.2.4.nf1-4~),
# These packages have been removed after lenny:
 ada-reference-manual (<< 20021112web-4~), asn1-mode (<< 2.7-7~),
 bogosort (<< 0.4.2-3~), cl-yacc (<< 0.3-3~), libgtk1.2-doc (<< 1.2.10-19~),
 libnettle-dev (<< 2~), liborbit-dev (<< 0.5.17-12~),
 libreadline5-dev (<< 5.2-8~),
 librep-doc (<< 0.90~), mmucl (<< 1.5.2-3~), nxml-mode (<< 20041004-9~),
 octave3.0-info (<< 1:3.0.5-7+rm),
 serveez-doc (<< 0.1.5-3~), slat (<< 2.0-6~),
 texlive-base-bin-doc (<< 2007.dfsg.2-9~), ttcn-el (<< 0.6.9-2~),
 xconq-doc (<< 7.4.1-5~), zenirc (<< 2.112.dfsg-1~),
# These non-free packages have been removed after lenny:
 polgen-doc (<< 1.3-3+rm)
Suggests: apt
Replaces: manpages-it (<< 2.80-4)
Description: Debian package management system
 This package provides the low-level infrastructure for handling the
 installation and removal of Debian software packages.
 .
 For Debian package development tools, install dpkg-dev.

Package: dpkg-dev
Section: utils
Priority: optional
Architecture: all
Multi-Arch: foreign
Depends: libdpkg-perl (= ${source:Version}), bzip2, xz-utils,
 patch (>= 2.7), make, binutils, base-files (>= 5.0.0), ${misc:Depends}
Recommends: gcc | c-compiler, build-essential, fakeroot,
 gnupg | gnupg2, gpgv | gpgv2, libalgorithm-merge-perl
Suggests: debian-keyring
Breaks: dpkg-cross (<< 2.0.0), devscripts (<< 2.14.10)
Replaces: manpages-it (<< 2.80-4)
Description: Debian package development tools
 This package provides the development tools (including dpkg-source)
 required to unpack, build and upload Debian source packages.
 .
 Most Debian source packages will require additional tools to build;
 for example, most packages need make and the C compiler gcc.

Package: libdpkg-perl
Section: perl
Priority: optional
Architecture: all
Multi-Arch: foreign
Depends: dpkg (>= 1.15.8), perl, libtimedate-perl, ${misc:Depends}
Recommends: libfile-fcntllock-perl, bzip2, xz-utils
Suggests: debian-keyring, gnupg | gnupg2, gpgv | gpgv2,
 gcc | c-compiler, binutils, patch
Breaks: dpkg-dev (<< 1.15.6), patch (<< 2.7)
Replaces: dpkg (<< 1.15.8), dpkg-dev (<< 1.15.6)
Description: Dpkg perl modules
 This package provides the perl modules used by the scripts
 in dpkg-dev. They cover a wide range of functionality. Among them
 there are the following public modules:
 .
  - Dpkg: core variables
  - Dpkg::BuildFlags: set, modify and query compilation build flags
  - Dpkg::BuildOptions: parse and manipulate DEB_BUILD_OPTIONS
  - Dpkg::BuildProfile: parse and manipulate build profiles
  - Dpkg::Changelog: parse Debian changelogs
  - Dpkg::Checksums: generate and parse checksums
  - Dpkg::Compression::Process: wrapper around compression tools
  - Dpkg::Compression::FileHandle: transparently (de)compress files
  - Dpkg::Conf: parse dpkg configuration files
  - Dpkg::Control: parse and manipulate Debian control information
    (.dsc, .changes, Packages/Sources entries, etc.)
  - Dpkg::Deps: parse and manipulate dependencies
  - Dpkg::Exit: push, pop and run exit handlers
  - Dpkg::Gettext: wrapper around Locale::gettext
  - Dpkg::IPC: spawn sub-processes and feed/retrieve data
  - Dpkg::Index: collections of Dpkg::Control (Packages/Sources files for
    example)
  - Dpkg::Interface::Storable: base object serializer
  - Dpkg::Path: common path handling functions
  - Dpkg::Source::Package: extract Debian source packages
  - Dpkg::Substvars: substitute variables in strings
  - Dpkg::Vendor: identify current distribution vendor
  - Dpkg::Version: parse and manipulate Debian package versions
 .
 All the packages listed in Suggests or Recommends are used by some of the
 modules.

Package: dselect
Priority: optional
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, dpkg (>= 1.13.1), ${misc:Depends}
Suggests: perl
Conflicts: dpkg-ftp, dpkg-multicd
Replaces: dpkg-ftp, dpkg-multicd, manpages-it (<< 2.80-4)
Description: Debian package management front-end
 dselect is a high-level interface for managing the installation and
 removal of Debian software packages.
 .
 Many users find dselect intimidating and new users may prefer to use
 apt-based user interfaces.
