## dpkg 1.17.25ubuntu1.1

=== debian/changelog ===
dpkg (1.17.25ubuntu1.1) vivid-security; urgency=medium

  * SECURITY UPDATE: multiple security issues
    - dpkg-deb/extract.c: Fix off-by-one write access on versionbuf
      variable.
    - dpkg-deb/extract.c: Fix off-by-one write access on ctrllenbuf
      variable. (CVE-2015-0860)
    - lib/dpkg/ar.c: Fix an off-by-one read access in ar member name
      variable.
    - Thanks to Guillem Jover and Hanno Böck for the patches!

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 26 Nov 2015 07:58:25 -0500

dpkg (1.17.25ubuntu1) vivid; urgency=medium

  * Merge with Debian, pulling in the upstream fix for CVE-2015-0840,
    a couple of updated translations, and several trivial bug fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 10 Apr 2015 21:36:44 -0600

dpkg (1.17.24ubuntu2) vivid; urgency=medium

  * SECURITY UPDATE: OpenPGP Armor Header Line parsing issue
    - scripts/Dpkg/Control/HashCore.pm: adjust whitespace parsing.
    - scripts/Makefile.*, scripts/t/Dpkg_Control.t,
      scripts/t/Dpkg_Control/bogus-armor-formfeed.dsc: added tests.
    - Patch thanks to Guillem Jover
    - CVE-2015-0840

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 09 Apr 2015 11:41:14 -0400

dpkg (1.17.24ubuntu1) vivid; urgency=medium

  * Merge with Debian unstable, which pulls in bugfixes, and disables
    dependency checks on trigger processing, quieting trigger cycles.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 20 Mar 2015 22:21:07 -0600

dpkg (1.17.23ubuntu1) vivid; urgency=medium
  
  * Merge from Debian unstable.  Remaining changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
    - Bump fontconfig Breaks to match Ubuntu version; can be reverted after
      vivid ships, as the Debian Breaks version was higher than trusty's.
    - Add ureadahead to the long list of trigger-related Breaks as well.
  * Remove multiarch upgrade code from postinst, which is no longer needed.
 
 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 05 Dec 2014 10:52:37 -0700

dpkg (1.17.21ubuntu2) vivid; urgency=medium

  * Cherry-pick from Debian (LP: #1394893)
    + Add Breaks on old man-db, fontconfig and readahead-fedora packages using
      awaiting triggers, as they produce trigger cycles. Closes: #768599
  * Modify the above to specify the version of fontconfig that included this
    change in Ubuntu, and to add ureadahead.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 08 Dec 2014 12:09:15 +0000

dpkg (1.17.21ubuntu1) vivid; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Change native source version/format mismatch errors into warnings
      until the dust settles on Debian bug 737634 about override options.
    - Add DPKG_UNTRANSLATED_MESSAGES environment check so that higher-level
      tools can get untranslated dpkg terminal log messages while at the
      same time having translated debconf prompts.
    - Special-case arm{el,hf} ELF objects in Shlibs/Objdump.pm for multilib.
    - Map unqualified package names of multiarch-same packages to the native
      arch instead of throwing an error, so that we don't break on upgrade
      when there are unqualified names stored in the dpkg trigger database.
    - Add logic to the postinst to `dpkg --add-architecture i386' on new
      installs on amd64, mimicking our previous behaviour with the conffile.
    - Apply a workaround from mvo to consider ^rc packages as multiarch,
      during the dpkg consistency checks. (see LP: 1015567 and 1057367).
  * drop po/pot delta that was generated by MoM
  * run touch configure configure.ac build-aux/* to ensure that timestamps
    match and automake is not invoked again

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 29 Oct 2014 10:07:32 +0100
