=== debian/control ===
--- 
+++ 
@@ -80,11 +80,13 @@
  gcc-4.2-doc (<< 4.2.4.nf1-4~), gcj-4.2-doc (<< 4.2.4.nf1-4~),
  gfortran-4.2-doc (<< 4.2.4.nf1-4~), gnat-4.2-doc (<< 4.2.4.nf1-4~),
 # These packages have been removed after lenny:
+ ada-mode (<< 3.6-3+rm),
  ada-reference-manual (<< 20021112web-4~), asn1-mode (<< 2.7-7~),
  bogosort (<< 0.4.2-3~), cl-yacc (<< 0.3-3~), libgtk1.2-doc (<< 1.2.10-19~),
  libnettle-dev (<< 2~), liborbit-dev (<< 0.5.17-12~),
  libreadline5-dev (<< 5.2-8~),
  librep-doc (<< 0.90~), mmucl (<< 1.5.2-3~), nxml-mode (<< 20041004-9~),
+ octave2.1-info (<< 1:2.1.73-19+rm),
  octave3.0-info (<< 1:3.0.5-7+rm),
  serveez-doc (<< 0.1.5-3~), slat (<< 2.0-6~),
  texlive-base-bin-doc (<< 2007.dfsg.2-9~), ttcn-el (<< 0.6.9-2~),
