## dpkg 1.17.28

=== debian/changelog ===
dpkg (1.17.28) jessie; urgency=medium

  [ Guillem Jover ]
    - Dpkg::Source::Archive: Prevent directory traversal for in-place extract>
      Reported by Max Justicz <max@justi.cz>. Fixes CVE-2022-1664.
    - Dpkg::Source::Package::V2: Always fix the permissions for upstream
      tarballs. Closes: #1012195

  [ Updated manpages translations ]
  * German (Helge Kreutzmann). (Various fixes)

 -- Guillem Jover <guillem@debian.org>  Sun, 03 Jul 2022 13:36:24 +0200
