## dpkg 1.18.0tanglu1

=== debian/changelog ===
dpkg (1.18.0tanglu1) staging; urgency=medium

  * Merge with Debian unstable, remaining change:
    - Don't error out when passing different build-types to dpkg-buildpackage
      and dpkg-genchanges, until all broken sbuild instances are fixed.

 -- Matthias Klumpp <mak@debian.org>  Tue, 26 May 2015 18:28:30 +0200

dpkg (1.18.0) unstable; urgency=low

  [ Guillem Jover ]
  * Only trim trailing “/” and “/.” from «dpkg-query --search» arguments if
    they are a pathname, and not a pattern or a substring match.
  * Switch C/C++ code to use a new set of C locale character type functions
    independent of the current locale.
  * Add support for arch-bits and arch-endian dpkg-gensymbols tags.
    Closes: #630342
  * Switch perl code from legacy File::Path functions to new ones.
  * Fix perl uninitialized value usage in dpkg-scansources when the Binary
    field is missing.
  * Use dpkg-query instead of dpkg for --search in dpkg-shlibdeps so that
    the subprocesses get the correct admindir. Closes: #775258
  * Rework the Installed-Size field default value computation to make it
    reproducible regardless of the build system filesystem, and document
    how the value is computed and that it is just an approximation.
    Closes: #650077
  * Use strftime() instead of «date -R» in dpkg-genchanges, as the latter
    is not specified by POSIX and is not widely portable.
  * Warn on obsolete '<' and '>' operators in dpkg --compare-versions.
  * Trim end of line whitespace from dpkg and dselect config file parsers.
    Reported by Christoph Biedl <debian.axhn@manchmal.in-ulm.de>.
  * Do not silently eat a standalone ‘-’ in the libdpkg command-line parser.
  * Fix short-lived memory leaks in dpkg-deb and libdpkg. Closes: #769515
  * Fix «dpkg-deb -b» filename generation when the package does not contain
    an Architecture field. Regression introduced in dpkg 1.16.2.
  * Fix «dpkg --audit» to report missing and empty architecture fields.
    Regression introduced in dpkg 1.16.2.
  * Add support to dpkg-deb for reading the archive from standard input,
    except for --raw-extract which does not yet support it. Closes: #616614
    Based on a patch by Johannes Schauer <j.schauer@email.de>.
  * Add ‘.mailmap’ to the default dpkg-source ignore lists.
  * Set the SE Linux context on «dpkg-statoverride --update». Closes: #690361
  * Do not fail on dpkg-query -W and -l when multiple arguments match the
    same package. Closes: #588505
  * Change dpkg-maintscript-helper to handle symlinks and pathnames ending in
    slash. For the former error out, for the latter strip it. Closes: #771752
  * Support moving a conffile not being shipped anymore. Closes: #767003
    Thanks to Mathias Behrle <mathiasb@m9s.biz>.
  * Add a new dpkg-buildflags sanitize feature area:
    - Add new “address”, “thread”, “leak” and “undefined” features, all
      disabled by default. Closes: #760741
  * Do not accept unknown user or group names on «dpkg-statoverride --add».
    Regression introduced in dpkg 1.17.11. Closes: #775124
  * Normalize dpkg-parsechangelog command-line parsing, so that «-ovalue»,
    «-o value», «--option=value» and «--option value» will all be accepted.
    Closes: #693951
  * Add dpkg --ctrl-tarfile forwarding command for dpkg-deb.
  * Disable dependency checks on dpkg-buildpackage -S -nc.
  * Make dependency checks fatal for dpkg-buildpackage -S.
  * Update amd64 GNU cpu regex in cputable to match amd64 too, in addition
    to x86_64. This is required for FreeBSD.
  * Use badusage() instead of ohshit() for command-line errors.
  * Use the original template symbols file when diffing in dpkg-gensymbols.
    We should not create a new template symbols file, because the output
    might change (different sorting order for example) relative to the
    original. Closes: #773718
  * Do not leak kvm descriptors in start-stop-daemon on GNU/kFreeBSD systems.
    Based on a patch by Jeff Epler <jepler@unpythonic.net>. Closes: #779467
  * Switch start-stop-daemon to use a monotonic clock if available. This
    makes the timeout checks resilient to abrupt system clock changes.
    Suggested by Jose M Calhariz <jose.calhariz@hds.com>. Closes: #783014
  * Fix perl warning in dpkg-genchanges when parsing BY-HAND file entries.
    Regression introduced in dpkg 1.17.7. Closes: #781074
  * Use the checksums files list order when building the Files field to match
    the other Checksum fields in dpkg-genchanges.
  * Skip files based on the architecture from the filename in dpkg-genchanges.
  * Allow binary packages not found in debian/control in dpkg-genchanges,
    which could allow injecting debug .debs for example.
  * Annotate any non-deb binary descriptions (not just udebs) with their
    package type in dpkg-genchanges.
  * Remove outdated local copy of the Debian README.mirrors.txt file from
    dselect ftp access method, and print a message pointing to the current
    URL instead. Closes: #784966
  * Cleanup default dpkg-shlibdeps shared library directory search list:
    - Do not add cross-root directories (/<triplet>/ and /usr/<triplet>/).
    - Remove ancient multilib /emul/ia32-linux/ paths.
    - Reorder directory precedence to:
      «dpkg-shlibdeps -l» > ENV{LD_LIBRARY_PATHS} > cross-multiarch >
      DEFAULT_LIBRARY_PATH > ld.so.conf > DEFAULT_MULTILIB_PATH
  * When upgrading, copy over the cached arch-qualified package name. This
    fixes wrong output when cross-grading.
  * Consider foreign packages ambiguous in need of an arch-qualifier.
  * Perl modules:
    - Rename and deprecate Dpkg::Gettext _g function with new g_.
    - Assume in Dpkg::Arch that the abitable is always present, and bump
      libdpkg-perl Depends on dpkg to 1.16.3, the version introducing the file.
    - Remove support for GCC_TARGET environment variable from Dpkg::Shlibs.
      This was a temporary workaround for very old gcc toolchains. See #453267.
    - Prefer multiarch paths to multilib ones in Dpkg::Shlibs.

