=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
 Vcs-Browser: https://anonscm.debian.org/cgit/dpkg/dpkg.git
 Vcs-Git: git://anonscm.debian.org/dpkg/dpkg.git
 Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 7), pkg-config, flex,
- gettext (>= 0.18), po4a (>= 0.41),
+Build-Depends: debhelper (>= 9), pkg-config, flex,
+ gettext (>= 0.19), po4a (>= 0.41),
  zlib1g-dev, libbz2-dev, liblzma-dev,
  libselinux1-dev (>= 1.28-4) [linux-any],
  libkvm-dev [kfreebsd-any],
@@ -35,64 +35,7 @@
 Essential: yes
 Pre-Depends: ${shlibs:Depends}, tar (>= 1.23)
 Depends: ${misc:Depends}
-Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8),
-# These cause trigger cycles due to using awaiting trigger directives.
- apt-cudf (<< 3.3~beta1-3~),
- auctex (<< 11.87-3+deb8u1~),
- ccache (<< 3.1.10-1~),
- cups (<< 1.7.5-10~),
- debian-security-support (<< 2014.10.26~),
- distcc (<< 3.1-6.1~),
- doc-base (<< 0.10.5~),
- fontconfig (<< 2.11.0-6.2~),
- fusionforge-plugin-mediawiki (<< 5.3.2+20141104-3~),
- gap-core (<< 4r7p5-2~),
- gitweb (<< 1:2.1.4-2.1~),
- grace (<< 1:5.1.24-3~),
- gxine (<< 0.5.908-3.1~),
- hoogle (<< 4.2.33-4~),
- icecc (<< 1.0.1-2~),
- install-info (<< 5.1.dfsg.1-3~),
- libapache2-mod-php5 (<< 5.6.4+dfsg-3~),
- libapache2-mod-php5filter (<< 5.6.4+dfsg-3~),
- libjs-protoaculous (<< 5~),
- man-db (<< 2.6.3-6~),
- mcollective (<< 2.6.0+dfsg-2.1~),
- php5-fpm (<< 5.6.4+dfsg-3~),
- pypy (<< 2.4.0+dfsg-3~),
- readahead-fedora (<< 2:1.5.6-5.2~),
- wordpress (<< 4.1+dfsg-1~),
- xfonts-traditional (<< 1.7~),
- xine-ui (<< 0.99.9-1.2~),
-# These do not support triggers.
- apt (<< 0.7.7~), aptitude (<< 0.4.7-1~)
-Conflicts:
-# The following Conflicts against removed packages using install-info
-# in their prerm script can be removed in jessie+1.
-# These packages have been removed after squeeze:
- ggz-docs (<< 0.0.14.1-2~), glame (<< 2.0.1-6~), gtalk (<< 0.99.10-16~),
- libalogg-dev (<< 1.3.7-2~), r6rs-doc (<< 1.0-2~), ulog-acctd (<< 0.4.3-3~),
- octave3.2-info (<< 3.2.4-12+rm),
-# These non-free packages have been removed after squeeze:
- cpp-4.1-doc (<< 4.1.2.nf2-4~), gcc-4.1-doc (<< 4.1.2.nf2-4~),
- gcj-4.1-doc (<< 4.1.2.nf2-4~), gfortran-4.1-doc (<< 4.1.2.nf2-4~),
- gnat-4.1-doc (<< 4.1.2.nf2-4~), cpp-4.2-doc (<< 4.2.4.nf1-4~),
- gcc-4.2-doc (<< 4.2.4.nf1-4~), gcj-4.2-doc (<< 4.2.4.nf1-4~),
- gfortran-4.2-doc (<< 4.2.4.nf1-4~), gnat-4.2-doc (<< 4.2.4.nf1-4~),
-# These packages have been removed after lenny:
- ada-mode (<< 3.6-3+rm),
- ada-reference-manual (<< 20021112web-4~), asn1-mode (<< 2.7-7~),
- bogosort (<< 0.4.2-3~), cl-yacc (<< 0.3-3~), libgtk1.2-doc (<< 1.2.10-19~),
- libnettle-dev (<< 2~), liborbit-dev (<< 0.5.17-12~),
- libreadline5-dev (<< 5.2-8~),
- librep-doc (<< 0.90~), mmucl (<< 1.5.2-3~), nxml-mode (<< 20041004-9~),
- octave2.1-info (<< 1:2.1.73-19+rm),
- octave3.0-info (<< 1:3.0.5-7+rm),
- serveez-doc (<< 0.1.5-3~), slat (<< 2.0-6~),
- texlive-base-bin-doc (<< 2007.dfsg.2-9~), ttcn-el (<< 0.6.9-2~),
- xconq-doc (<< 7.4.1-5~), zenirc (<< 2.112.dfsg-1~),
-# These non-free packages have been removed after lenny:
- polgen-doc (<< 1.3-3+rm)
+Breaks: dpkg-dev (<< 1.15.8), libdpkg-perl (<< 1.15.8)
 Suggests: apt
 Replaces: manpages-it (<< 2.80-4)
 Description: Debian package management system
@@ -125,7 +68,7 @@
 Priority: optional
 Architecture: all
 Multi-Arch: foreign
-Depends: dpkg (>= 1.15.8), perl, libtimedate-perl, ${misc:Depends}
+Depends: dpkg (>= 1.16.3), perl, libtimedate-perl, ${misc:Depends}
 Recommends: libfile-fcntllock-perl, bzip2, xz-utils
 Suggests: debian-keyring, gnupg | gnupg2, gpgv | gpgv2,
  gcc | c-compiler, binutils, patch
@@ -140,13 +83,20 @@
   - Dpkg::BuildFlags: set, modify and query compilation build flags
   - Dpkg::BuildOptions: parse and manipulate DEB_BUILD_OPTIONS
   - Dpkg::BuildProfile: parse and manipulate build profiles
-  - Dpkg::Changelog: parse Debian changelogs
+  - Dpkg::Changelog: parse changelogs
+  - Dpkg::Changelog::Entry: represents a changelog entry
+  - Dpkg::Changelog::Parse: generic changelog parser for dpkg-parsechangelog
   - Dpkg::Checksums: generate and parse checksums
+  - Dpkg::Compression: simple database of available compression methods
   - Dpkg::Compression::Process: wrapper around compression tools
   - Dpkg::Compression::FileHandle: transparently (de)compress files
   - Dpkg::Conf: parse dpkg configuration files
   - Dpkg::Control: parse and manipulate Debian control information
     (.dsc, .changes, Packages/Sources entries, etc.)
+  - Dpkg::Control::Changelog: represent fields output by dpkg-parsechangelog
+  - Dpkg::Control::Fields: manage (list of known) control fields
+  - Dpkg::Control::Hash: parse and manipulate a block of RFC822-like fields
+  - Dpkg::Control::Info: parse files like debian/control
   - Dpkg::Deps: parse and manipulate dependencies
   - Dpkg::Exit: push, pop and run exit handlers
   - Dpkg::Gettext: wrapper around Locale::gettext
