## dpkg 1.18.1

=== debian/changelog ===
dpkg (1.18.1) unstable; urgency=low

  [ Guillem Jover ]
  * Cast c_isbits() c argument to an unsigned char when indexing the array.
    This fixes build failures on armel, armhf, ppc64el and s390x.
  * Do not allow pathnames with embedded newlines in dpkg-deb and dpkg.
    Closes: #720761
  * Fix setting the SE Linux context when a file has a statoverride.
    Closes: #786435
  * Set the SE Linux file context even when the file mode has no file type.
  * Make dpkg-buildpackage -j override any parallel option specified in
    DEB_BUILD_OPTIONS. Regression introduced in dpkg 1.14.15.
  * Honor Pre-Depends, Conflicts and Breaks for packages in unpacked and
    half states. Thanks to Ian Jackson <iwj@ubuntu.com>. Closes: #377860
  * Fix build failure on FreeBSD by actually using libmd if available.
  * Sort dpkg-scanpackages output by package name and version.
    Thanks to Maximilian Schwerin <maximilian.schwerin@tigris.de>.
  * Sort dpkg-scansources output by package name and version.
    Thanks to Maximilian Schwerin <maximilian.schwerin@tigris.de>.
  * Set the correct default compression value in dpkg-deb for control.tar.gz
    member. This meant using compression level 1 when using the zlib shared
    library to compress the control.tar member, and always failing when using
    the gzip command. Regression introduced in dpkg 1.17.6. Closes: #786654
  * Use the generated template file instead of the original one when looking
    for changes in dpkg-gensymbols. There's too much information not being
    preserved in the symbols files to be able to regenerate templates for
    them. Closes: #785937, #786840
  * Perl modules:
    - Add missing strict and warnings pragmas for submodules.
    - Use non-destructive substitutions inside map.
    - Use the state keyword to simplify the code.
    - Do not replace #PACKAGE# in template mode in Dpkg::Shlibs::SymbolFile.
  * Documentation:
    - Update current default source compressor from gzip to xz.
    - Remove spurious ‘=’ from parallel DEB_BUILD_OPTIONS without arguments
      in dpkg-buildpackage(1).

  [ Updated programs translations ]
  * German (Sven Joachim).
  * Simplified Chinese (Zhou Mo). Closes: #786377

  [ Updated manpages translations ]
  * German (Helge Kreutzmann).

  [ Updated dselect translations ]
  * German (Sven Joachim).

 -- Guillem Jover <guillem@debian.org>  Sat, 30 May 2015 03:00:21 +0200
