## dpkg 1.18.3

=== debian/changelog ===
dpkg (1.18.3) unstable; urgency=medium

  [ Guillem Jover ]
  * Fix short-lived memory leaks in start-stop-daemon. As a side effect now
    a missing group after ‘:’ on --chuid is a fatal error.
  * Print the master and slave links in «update-alternatives --display».
  * Print the current best alternative in the head instead of the trail
    in «update-alternatives --display», with a two space indentation.
  * Reimplement «update-alternatives --all» as a fully built-in command
    instead of executing itself with --config per subtask.
  * Reimplement «update-alternatives --set-selections» as a fully built-in
    command instead of executing itself with --set or --auto per subtask.
  * Add kfreebsd-armhf support to ostable and triplettable. Closes: #796283
    Thanks to Steven Chamberlain <steven@pyro.eu.org>.
  * Fix «dpkg --verify» with --root.
  * Fix an off-by-one write access in dpkg-deb when parsing the .deb magic.
    Reported by Jacek Wielemborek <d33tah@gmail.com>. Closes: #798324
  * Split overlong perl regexes into multiline extended regexes.
  * Switch dselect multicd method license from GPL2 to GPL2+, with consent
    from all its authors.
  * Fix inadvertent license change for lib/dpkg/utils.c from GPL2 to GPL2+.
  * Fix segfault when using «dpkg --no-act» with a synthetic --admindir.
    Reported by David Kalnischkies <david@kalnischkies.de>.
  * Perl modules:
    - Only warn on invalid week days instead of aborting in
      Dpkg::Changelog::Entry::Debian. Regression introduced in dpkg 1.18.2.
      Reported by Jakub Wilk <jwilk@debian.org>.
    - Do not warn when removing an empty subdirectory on source package
      extraction in Dpkg::Source::Package::V2. Closes: #796671
    - Do not abort on parse errors from Time::Piece->strptime() for the
      changelog trailer date, just queue them so that the caller can decide
      if they should be warnings or actual errors. Closes: #795936
    - Validate the changelog trailer date, and catch and warn or error on
      bogus month names, such as unknown or unabbreviated ones.
  * Test suite:
    - Get the reference build flags from dpkg-buildflags.pl, instead of
      hardcoding them, which might not match depending on the architecture.
      Closes: #794694
    - Delete any environment variable starting with DEB_ in mk.t that might
      affect the test results.
  * Build system:
    - Add a new --with-devlibdir configure option for the C libdpkg library.
  * Packaging:
    - Remove unneeded --sourcedir options from dh_install calls.
    - Use the new --with-devlibdir configure option to only switch libdpkg-dev
      files to the multi-arch directory. Closes: #794977
  * Documentation:
    - Fix typos for --predep-package option name. Closes: #794688
    - Add missing dashes to package-list in deb-src-control(5).
    - Mark each individual required field as such, instead of using segregated
      sections.

  [ Updated programs translations ]
  * Catalan (Jordi Mallach).
  * French (Sébastien Poher). Closes: #798371
  * German (Sven Joachim).
  * Vietnamese (Trần Ngọc Quân).

  [ Updated dselect translations ]
  * French (Sébastien Poher). Closes: #798370

  [ Updated scripts translations ]
  * French (Sébastien Poher). Closes: #798369
  * German (Helge Kreutzmann).

  [ Updated manpages translations ]
  * German (Helge Kreutzmann).

 -- Guillem Jover <guillem@debian.org>  Mon, 21 Sep 2015 07:11:42 +0200
