=== debian/control ===
--- 
+++ 
@@ -15,12 +15,13 @@
  libselinux1-dev (>= 1.28-4) [linux-any],
  libkvm-dev [kfreebsd-any],
  libncursesw5-dev,
- libtimedate-perl, libio-string-perl
+ libio-string-perl <!nocheck>
 
 Package: libdpkg-dev
 Section: libdevel
 Priority: optional
 Architecture: any
+Multi-Arch: same
 Depends: zlib1g-dev, liblzma-dev, libbz2-dev, ${misc:Depends}
 Description: Debian package management static library
  This package provides the header files and static library necessary to
@@ -68,7 +69,7 @@
 Priority: optional
 Architecture: all
 Multi-Arch: foreign
-Depends: dpkg (>= 1.16.3), perl, libtimedate-perl, ${misc:Depends}
+Depends: dpkg (>= 1.16.3), perl, ${misc:Depends}
 Recommends: libfile-fcntllock-perl, bzip2, xz-utils
 Suggests: debian-keyring, gnupg | gnupg2, gpgv | gpgv2,
  gcc | c-compiler, binutils, patch
@@ -80,6 +81,7 @@
  there are the following public modules:
  .
   - Dpkg: core variables
+  - Dpkg::Arch: architecture handling functions
   - Dpkg::BuildFlags: set, modify and query compilation build flags
   - Dpkg::BuildOptions: parse and manipulate DEB_BUILD_OPTIONS
   - Dpkg::BuildProfile: parse and manipulate build profiles
